std::make_error_condition(std::errc)(3)

NAME
std::make_error_condition(std::errc) - std::make_error_condition(std::errc)

Synopsis
   Defined in header <system_error>
   std::error_condition make_error_condition( std::errc e ) noexcept; (since C++11)
   Creates an error condition for an errc value e. Sets the error code to int(e) and
   error category to std::generic_category.

Parameters
   e - standard error code

Return value
   Error condition for e.

Example
// Run this code
 #include <system_error>
 #include <string>
 #include <iostream>
 int main()
 {
     auto err = std::make_error_condition(std::errc::invalid_argument);
     std::cout << err.message() << '\n';
 }

Possible output:
 Invalid argument